OSDN Git Service

2004-11-15 Kelley Cook <kcook@gcc.gnu.org>
[pf3gnuchains/gcc-fork.git] / fastjar / Makefile.in
1 # Makefile.in generated by automake 1.9.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this with automake to create Makefile.in
18
19 SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
20
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = .
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 bin_PROGRAMS = fastjar$(EXEEXT) grepjar$(EXEEXT)
42 subdir = .
43 DIST_COMMON = README $(am__configure_deps) $(fastjar_TEXINFOS) \
44         $(srcdir)/../compile $(srcdir)/../depcomp \
45         $(srcdir)/../install-sh $(srcdir)/../missing \
46         $(srcdir)/../mkinstalldirs $(srcdir)/Makefile.am \
47         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
48         $(srcdir)/install-defs.sh.in $(top_srcdir)/configure AUTHORS \
49         COPYING ChangeLog INSTALL NEWS
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/../config/accross.m4 \
52         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
53 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
54         $(ACLOCAL_M4)
55 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
56  configure.lineno configure.status.lineno
57 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
58 CONFIG_HEADER = config.h
59 CONFIG_CLEAN_FILES = install-defs.sh
60 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" \
61         "$(DESTDIR)$(man1dir)"
62 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
63 PROGRAMS = $(bin_PROGRAMS)
64 am_fastjar_OBJECTS = fastjar-jartool.$(OBJEXT) \
65         fastjar-dostime.$(OBJEXT) fastjar-compress.$(OBJEXT) \
66         fastjar-pushback.$(OBJEXT) fastjar-shift.$(OBJEXT)
67 fastjar_OBJECTS = $(am_fastjar_OBJECTS)
68 am__DEPENDENCIES_1 =
69 am__DEPENDENCIES_2 = ../libiberty/libiberty.a
70 am_grepjar_OBJECTS = jargrep.$(OBJEXT) dostime.$(OBJEXT) \
71         compress.$(OBJEXT) pushback.$(OBJEXT)
72 grepjar_OBJECTS = $(am_grepjar_OBJECTS)
73 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
74 depcomp = $(SHELL) $(top_srcdir)/../depcomp
75 am__depfiles_maybe = depfiles
76 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
77         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
78 CCLD = $(CC)
79 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
80 SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
81 DIST_SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
82 INFO_DEPS = fastjar.info
83 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
84 DVIS = fastjar.dvi
85 PDFS = fastjar.pdf
86 PSS = fastjar.ps
87 HTMLS = fastjar.html
88 TEXINFOS = fastjar.texi
89 TEXI2DVI = texi2dvi
90 TEXI2PDF = $(TEXI2DVI) --pdf --batch
91 MAKEINFOHTML = $(MAKEINFO) --html
92 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
93 DVIPS = dvips
94 man1dir = $(mandir)/man1
95 NROFF = nroff
96 MANS = $(man_MANS)
97 ETAGS = etags
98 CTAGS = ctags
99 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
100 distdir = $(PACKAGE)-$(VERSION)
101 top_distdir = $(distdir)
102 am__remove_distdir = \
103   { test ! -d $(distdir) \
104     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
105          && rm -fr $(distdir); }; }
106 DIST_ARCHIVES = $(distdir).tar.gz
107 GZIP_ENV = --best
108 distuninstallcheck_listfiles = find . -type f -print
109 distcleancheck_listfiles = find . -type f -print
110 ACLOCAL = @ACLOCAL@
111 AMDEP_FALSE = @AMDEP_FALSE@
112 AMDEP_TRUE = @AMDEP_TRUE@
113 AMTAR = @AMTAR@
114 AUTOCONF = @AUTOCONF@
115 AUTOHEADER = @AUTOHEADER@
116 AUTOMAKE = @AUTOMAKE@
117 AWK = @AWK@
118 CC = @CC@
119 CCDEPMODE = @CCDEPMODE@
120 CFLAGS = @CFLAGS@
121 CHMOD = @CHMOD@
122 CP = @CP@
123 CPP = @CPP@
124 CPPFLAGS = @CPPFLAGS@
125 CYGPATH_W = @CYGPATH_W@
126 DEFS = @DEFS@
127 DEPDIR = @DEPDIR@
128 ECHO_C = @ECHO_C@
129 ECHO_N = @ECHO_N@
130 ECHO_T = @ECHO_T@
131 EGREP = @EGREP@
132 EXEEXT = @EXEEXT@
133 GENINSRC_FALSE = @GENINSRC_FALSE@
134 GENINSRC_TRUE = @GENINSRC_TRUE@
135 INSTALL_DATA = @INSTALL_DATA@
136 INSTALL_PROGRAM = @INSTALL_PROGRAM@
137 INSTALL_SCRIPT = @INSTALL_SCRIPT@
138 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
139 LDFLAGS = @LDFLAGS@
140 LIBOBJS = @LIBOBJS@
141 LIBS = @LIBS@
142 LTLIBOBJS = @LTLIBOBJS@
143 MAINT = @MAINT@
144 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
145 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
146 MAKEINFO = @MAKEINFO@
147 OBJEXT = @OBJEXT@
148 PACKAGE = @PACKAGE@
149 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
150 PACKAGE_NAME = @PACKAGE_NAME@
151 PACKAGE_STRING = @PACKAGE_STRING@
152 PACKAGE_TARNAME = @PACKAGE_TARNAME@
153 PACKAGE_VERSION = @PACKAGE_VERSION@
154 PATH_SEPARATOR = @PATH_SEPARATOR@
155 RM = @RM@
156 SET_MAKE = @SET_MAKE@
157 SHELL = @SHELL@
158 STRIP = @STRIP@
159 VERSION = @VERSION@
160 ZDEPS = @ZDEPS@
161 ZINCS = @ZINCS@
162 ZLIBS = @ZLIBS@
163 ac_ct_CC = @ac_ct_CC@
164 ac_ct_STRIP = @ac_ct_STRIP@
165 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
166 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
167 am__include = @am__include@
168 am__leading_dot = @am__leading_dot@
169 am__quote = @am__quote@
170 am__tar = @am__tar@
171 am__untar = @am__untar@
172 bindir = @bindir@
173 build_alias = @build_alias@
174 datadir = @datadir@
175 exec_prefix = @exec_prefix@
176 fastjar_warn_cflags = @fastjar_warn_cflags@
177 gcc_version = @gcc_version@
178 host_alias = @host_alias@
179 includedir = @includedir@
180 infodir = @infodir@
181 install_sh = @install_sh@
182 libdir = @libdir@
183 libexecdir = @libexecdir@
184 localstatedir = @localstatedir@
185 mandir = @mandir@
186 mkdir_p = @mkdir_p@
187 oldincludedir = @oldincludedir@
188 prefix = @prefix@
189 program_transform_name = @program_transform_name@
190 sbindir = @sbindir@
191 sharedstatedir = @sharedstatedir@
192 sysconfdir = @sysconfdir@
193 target_alias = @target_alias@
194 ACLOCAL_AMFLAGS = -I ../config
195
196 # Work around what appears to be a GNU make bug handling MAKEFLAGS
197 # values defined in terms of make variables, as is the case for CC and
198 # friends when we are called from the top level Makefile.
199 AM_MAKEFLAGS = \
200         "AR_FLAGS=$(AR_FLAGS)" \
201         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
202         "CFLAGS=$(CFLAGS)" \
203         "CXXFLAGS=$(CXXFLAGS)" \
204         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
205         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
206         "INSTALL=$(INSTALL)" \
207         "INSTALL_DATA=$(INSTALL_DATA)" \
208         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
209         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
210         "JC1FLAGS=$(JC1FLAGS)" \
211         "LDFLAGS=$(LDFLAGS)" \
212         "LIBCFLAGS=$(LIBCFLAGS)" \
213         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
214         "MAKE=$(MAKE)" \
215         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
216         "PICFLAG=$(PICFLAG)" \
217         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
218         "SHELL=$(SHELL)" \
219         "exec_prefix=$(exec_prefix)" \
220         "infodir=$(infodir)" \
221         "libdir=$(libdir)" \
222         "prefix=$(prefix)" \
223         "AR=$(AR)" \
224         "AS=$(AS)" \
225         "CC=$(CC)" \
226         "CXX=$(CXX)" \
227         "LD=$(LD)" \
228         "LIBCFLAGS=$(LIBCFLAGS)" \
229         "NM=$(NM)" \
230         "PICFLAG=$(PICFLAG)" \
231         "RANLIB=$(RANLIB)" \
232         "DESTDIR=$(DESTDIR)"
233
234 AM_CPPFLAGS = -I. -I$(top_srcdir) $(ZINCS) -I$(top_srcdir)/../include
235 LIBIBERTY = ../libiberty/libiberty.a
236 fastjar_SOURCES = jartool.c dostime.c compress.c pushback.c shift.c jartool.h \
237 zipfile.h dostime.h compress.h pushback.h shift.h
238
239 fastjar_LDADD = $(ZLIBS) $(LIBIBERTY)
240 fastjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
241 fastjar_CPPFLAGS = $(AM_CPPFLAGS) -DWITH_SHIFT_DOWN
242 grepjar_SOURCES = jargrep.c dostime.c compress.c pushback.c jartool.h \
243 zipfile.h dostime.h compress.h pushback.h
244
245 grepjar_LDADD = $(ZLIBS) $(LIBIBERTY)
246 grepjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
247 AM_CFLAGS = @fastjar_warn_cflags@
248 AM_MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
249 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
250 info_TEXINFOS = fastjar.texi
251 fastjar_TEXINFOS = \
252         ../gcc/doc/include/gcc-common.texi \
253         ../gcc/doc/include/gpl.texi
254
255 man_MANS = fastjar.1 grepjar.1
256 EXTRA_DIST = $(man_MANS)
257 TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
258 POD2MAN = pod2man --center="GNU" --release="gcc-@gcc_version@"
259 @GENINSRC_FALSE@STAMP_GENINSRC = 
260
261 # GCC LOCAL CHANGE
262 # The following commands allow us to release tarballs with the man pages
263 # and info documentation prebuilt.  This feature is enabled via 
264 # --enable-generated-files-in-srcdir in the configure script.
265 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
266 CLEANFILES = stamp-geninsrc fastjar.info
267 MAINTAINERCLEANFILES = $(srcdir)/fastjar.1 \
268                        $(srcdir)/grepjar.1 \
269                        $(srcdir)/fastjar.info
270
271 all: config.h
272         $(MAKE) $(AM_MAKEFLAGS) all-am
273
274 .SUFFIXES:
275 .SUFFIXES: .1 .c .dvi .o .obj .pod .ps
276 am--refresh:
277         @:
278 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
279         @for dep in $?; do \
280           case '$(am__configure_deps)' in \
281             *$$dep*) \
282               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
283               cd $(srcdir) && $(AUTOMAKE) --gnu  \
284                 && exit 0; \
285               exit 1;; \
286           esac; \
287         done; \
288         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
289         cd $(top_srcdir) && \
290           $(AUTOMAKE) --gnu  Makefile
291 .PRECIOUS: Makefile
292 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
293         @case '$?' in \
294           *config.status*) \
295             echo ' $(SHELL) ./config.status'; \
296             $(SHELL) ./config.status;; \
297           *) \
298             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
299             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
300         esac;
301
302 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
303         $(SHELL) ./config.status --recheck
304
305 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
306         cd $(srcdir) && $(AUTOCONF)
307 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
308         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
309
310 config.h: stamp-h1
311         @if test ! -f $@; then \
312           rm -f stamp-h1; \
313           $(MAKE) stamp-h1; \
314         else :; fi
315
316 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
317         @rm -f stamp-h1
318         cd $(top_builddir) && $(SHELL) ./config.status config.h
319 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
320         cd $(top_srcdir) && $(AUTOHEADER)
321         rm -f stamp-h1
322         touch $@
323
324 distclean-hdr:
325         -rm -f config.h stamp-h1
326 install-defs.sh: $(top_builddir)/config.status $(srcdir)/install-defs.sh.in
327         cd $(top_builddir) && $(SHELL) ./config.status $@
328 install-binPROGRAMS: $(bin_PROGRAMS)
329         @$(NORMAL_INSTALL)
330         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
331         @list='$(bin_PROGRAMS)'; for p in $$list; do \
332           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
333           if test -f $$p \
334           ; then \
335             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
336            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
337            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
338           else :; fi; \
339         done
340
341 uninstall-binPROGRAMS:
342         @$(NORMAL_UNINSTALL)
343         @list='$(bin_PROGRAMS)'; for p in $$list; do \
344           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
345           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
346           rm -f "$(DESTDIR)$(bindir)/$$f"; \
347         done
348
349 clean-binPROGRAMS:
350         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
351 fastjar$(EXEEXT): $(fastjar_OBJECTS) $(fastjar_DEPENDENCIES) 
352         @rm -f fastjar$(EXEEXT)
353         $(LINK) $(fastjar_LDFLAGS) $(fastjar_OBJECTS) $(fastjar_LDADD) $(LIBS)
354 grepjar$(EXEEXT): $(grepjar_OBJECTS) $(grepjar_DEPENDENCIES) 
355         @rm -f grepjar$(EXEEXT)
356         $(LINK) $(grepjar_LDFLAGS) $(grepjar_OBJECTS) $(grepjar_LDADD) $(LIBS)
357
358 mostlyclean-compile:
359         -rm -f *.$(OBJEXT)
360
361 distclean-compile:
362         -rm -f *.tab.c
363
364 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress.Po@am__quote@
365 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dostime.Po@am__quote@
366 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-compress.Po@am__quote@
367 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-dostime.Po@am__quote@
368 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-jartool.Po@am__quote@
369 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-pushback.Po@am__quote@
370 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-shift.Po@am__quote@
371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jargrep.Po@am__quote@
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pushback.Po@am__quote@
373
374 .c.o:
375 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
376 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
377 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
378 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
379 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
380
381 .c.obj:
382 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
383 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
384 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
385 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
386 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
387
388 fastjar-jartool.o: jartool.c
389 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-jartool.o -MD -MP -MF "$(DEPDIR)/fastjar-jartool.Tpo" -c -o fastjar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c; \
390 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-jartool.Tpo" "$(DEPDIR)/fastjar-jartool.Po"; else rm -f "$(DEPDIR)/fastjar-jartool.Tpo"; exit 1; fi
391 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='jartool.c' object='fastjar-jartool.o' libtool=no @AMDEPBACKSLASH@
392 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
393 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c
394
395 fastjar-jartool.obj: jartool.c
396 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-jartool.obj -MD -MP -MF "$(DEPDIR)/fastjar-jartool.Tpo" -c -o fastjar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`; \
397 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-jartool.Tpo" "$(DEPDIR)/fastjar-jartool.Po"; else rm -f "$(DEPDIR)/fastjar-jartool.Tpo"; exit 1; fi
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='jartool.c' object='fastjar-jartool.obj' libtool=no @AMDEPBACKSLASH@
399 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
400 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`
401
402 fastjar-dostime.o: dostime.c
403 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-dostime.o -MD -MP -MF "$(DEPDIR)/fastjar-dostime.Tpo" -c -o fastjar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c; \
404 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-dostime.Tpo" "$(DEPDIR)/fastjar-dostime.Po"; else rm -f "$(DEPDIR)/fastjar-dostime.Tpo"; exit 1; fi
405 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='dostime.c' object='fastjar-dostime.o' libtool=no @AMDEPBACKSLASH@
406 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
407 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c
408
409 fastjar-dostime.obj: dostime.c
410 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-dostime.obj -MD -MP -MF "$(DEPDIR)/fastjar-dostime.Tpo" -c -o fastjar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`; \
411 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-dostime.Tpo" "$(DEPDIR)/fastjar-dostime.Po"; else rm -f "$(DEPDIR)/fastjar-dostime.Tpo"; exit 1; fi
412 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='dostime.c' object='fastjar-dostime.obj' libtool=no @AMDEPBACKSLASH@
413 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
414 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`
415
416 fastjar-compress.o: compress.c
417 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-compress.o -MD -MP -MF "$(DEPDIR)/fastjar-compress.Tpo" -c -o fastjar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c; \
418 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-compress.Tpo" "$(DEPDIR)/fastjar-compress.Po"; else rm -f "$(DEPDIR)/fastjar-compress.Tpo"; exit 1; fi
419 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='compress.c' object='fastjar-compress.o' libtool=no @AMDEPBACKSLASH@
420 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
421 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c
422
423 fastjar-compress.obj: compress.c
424 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-compress.obj -MD -MP -MF "$(DEPDIR)/fastjar-compress.Tpo" -c -o fastjar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`; \
425 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-compress.Tpo" "$(DEPDIR)/fastjar-compress.Po"; else rm -f "$(DEPDIR)/fastjar-compress.Tpo"; exit 1; fi
426 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='compress.c' object='fastjar-compress.obj' libtool=no @AMDEPBACKSLASH@
427 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
428 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`
429
430 fastjar-pushback.o: pushback.c
431 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-pushback.o -MD -MP -MF "$(DEPDIR)/fastjar-pushback.Tpo" -c -o fastjar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c; \
432 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-pushback.Tpo" "$(DEPDIR)/fastjar-pushback.Po"; else rm -f "$(DEPDIR)/fastjar-pushback.Tpo"; exit 1; fi
433 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='pushback.c' object='fastjar-pushback.o' libtool=no @AMDEPBACKSLASH@
434 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
435 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c
436
437 fastjar-pushback.obj: pushback.c
438 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-pushback.obj -MD -MP -MF "$(DEPDIR)/fastjar-pushback.Tpo" -c -o fastjar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`; \
439 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-pushback.Tpo" "$(DEPDIR)/fastjar-pushback.Po"; else rm -f "$(DEPDIR)/fastjar-pushback.Tpo"; exit 1; fi
440 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='pushback.c' object='fastjar-pushback.obj' libtool=no @AMDEPBACKSLASH@
441 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
442 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`
443
444 fastjar-shift.o: shift.c
445 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-shift.o -MD -MP -MF "$(DEPDIR)/fastjar-shift.Tpo" -c -o fastjar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c; \
446 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-shift.Tpo" "$(DEPDIR)/fastjar-shift.Po"; else rm -f "$(DEPDIR)/fastjar-shift.Tpo"; exit 1; fi
447 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='shift.c' object='fastjar-shift.o' libtool=no @AMDEPBACKSLASH@
448 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
449 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c
450
451 fastjar-shift.obj: shift.c
452 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-shift.obj -MD -MP -MF "$(DEPDIR)/fastjar-shift.Tpo" -c -o fastjar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`; \
453 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-shift.Tpo" "$(DEPDIR)/fastjar-shift.Po"; else rm -f "$(DEPDIR)/fastjar-shift.Tpo"; exit 1; fi
454 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='shift.c' object='fastjar-shift.obj' libtool=no @AMDEPBACKSLASH@
455 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
456 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`
457
458 fastjar.info: fastjar.texi $(fastjar_TEXINFOS)
459         restore=: && backupdir="$(am__leading_dot)am$$$$" && \
460         rm -rf $$backupdir && mkdir $$backupdir && \
461         for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
462           if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
463         done; \
464         if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
465          -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi; \
466         then \
467           rc=0; \
468         else \
469           rc=$$?; \
470           $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
471         fi; \
472         rm -rf $$backupdir; exit $$rc
473
474 fastjar.dvi: fastjar.texi $(fastjar_TEXINFOS) 
475         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
476         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
477         $(TEXI2DVI) -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
478
479 fastjar.pdf: fastjar.texi $(fastjar_TEXINFOS) 
480         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
481         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
482         $(TEXI2PDF) -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
483
484 fastjar.html: fastjar.texi $(fastjar_TEXINFOS) 
485         rm -rf $(@:.html=.htp)
486         if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
487          -o $(@:.html=.htp) `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi; \
488         then \
489           rm -rf $@; \
490           if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
491             mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \
492         else \
493           if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
494             rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \
495           exit 1; \
496         fi
497 .dvi.ps:
498         $(DVIPS) -o $@ $<
499
500 uninstall-info-am:
501         $(PRE_UNINSTALL)
502         @if (install-info --version && \
503              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
504           list='$(INFO_DEPS)'; \
505           for file in $$list; do \
506             relfile=`echo "$$file" | sed 's|^.*/||'`; \
507             echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
508             install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
509           done; \
510         else :; fi
511         @$(NORMAL_UNINSTALL)
512         @list='$(INFO_DEPS)'; \
513         for file in $$list; do \
514           relfile=`echo "$$file" | sed 's|^.*/||'`; \
515           relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
516           (if cd "$(DESTDIR)$(infodir)"; then \
517              echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
518              rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
519            else :; fi); \
520         done
521
522 dist-info: $(INFO_DEPS)
523         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
524         list='$(INFO_DEPS)'; \
525         for base in $$list; do \
526           case $$base in \
527             $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
528           esac; \
529           if test -f $$base; then d=.; else d=$(srcdir); fi; \
530           for file in $$d/$$base*; do \
531             relfile=`expr "$$file" : "$$d/\(.*\)"`; \
532             test -f $(distdir)/$$relfile || \
533               cp -p $$file $(distdir)/$$relfile; \
534           done; \
535         done
536
537 mostlyclean-aminfo:
538         -rm -rf fastjar.aux fastjar.cp fastjar.cps fastjar.fn fastjar.fns fastjar.ky \
539           fastjar.kys fastjar.log fastjar.pg fastjar.pgs fastjar.tmp \
540           fastjar.toc fastjar.tp fastjar.tps fastjar.vr fastjar.vrs \
541           fastjar.dvi fastjar.pdf fastjar.ps fastjar.html
542
543 maintainer-clean-aminfo:
544         @list='$(INFO_DEPS)'; for i in $$list; do \
545           i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
546           echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
547           rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
548         done
549 install-man1: $(man1_MANS) $(man_MANS)
550         @$(NORMAL_INSTALL)
551         test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
552         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
553         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
554         for i in $$l2; do \
555           case "$$i" in \
556             *.1*) list="$$list $$i" ;; \
557           esac; \
558         done; \
559         for i in $$list; do \
560           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
561           else file=$$i; fi; \
562           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
563           case "$$ext" in \
564             1*) ;; \
565             *) ext='1' ;; \
566           esac; \
567           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
568           inst=`echo $$inst | sed -e 's/^.*\///'`; \
569           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
570           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
571           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
572         done
573 uninstall-man1:
574         @$(NORMAL_UNINSTALL)
575         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
576         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
577         for i in $$l2; do \
578           case "$$i" in \
579             *.1*) list="$$list $$i" ;; \
580           esac; \
581         done; \
582         for i in $$list; do \
583           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
584           case "$$ext" in \
585             1*) ;; \
586             *) ext='1' ;; \
587           esac; \
588           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
589           inst=`echo $$inst | sed -e 's/^.*\///'`; \
590           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
591           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
592           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
593         done
594
595 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
596         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
597         unique=`for i in $$list; do \
598             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
599           done | \
600           $(AWK) '    { files[$$0] = 1; } \
601                END { for (i in files) print i; }'`; \
602         mkid -fID $$unique
603 tags: TAGS
604
605 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
606                 $(TAGS_FILES) $(LISP)
607         tags=; \
608         here=`pwd`; \
609         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
610         unique=`for i in $$list; do \
611             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
612           done | \
613           $(AWK) '    { files[$$0] = 1; } \
614                END { for (i in files) print i; }'`; \
615         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
616           test -n "$$unique" || unique=$$empty_fix; \
617           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
618             $$tags $$unique; \
619         fi
620 ctags: CTAGS
621 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
622                 $(TAGS_FILES) $(LISP)
623         tags=; \
624         here=`pwd`; \
625         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
626         unique=`for i in $$list; do \
627             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
628           done | \
629           $(AWK) '    { files[$$0] = 1; } \
630                END { for (i in files) print i; }'`; \
631         test -z "$(CTAGS_ARGS)$$tags$$unique" \
632           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
633              $$tags $$unique
634
635 GTAGS:
636         here=`$(am__cd) $(top_builddir) && pwd` \
637           && cd $(top_srcdir) \
638           && gtags -i $(GTAGS_ARGS) $$here
639
640 distclean-tags:
641         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
642
643 distdir: $(DISTFILES)
644         $(am__remove_distdir)
645         mkdir $(distdir)
646         $(mkdir_p) $(distdir)/. $(distdir)/.. $(distdir)/../config $(distdir)/../gcc/doc/include
647         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
648         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
649         list='$(DISTFILES)'; for file in $$list; do \
650           case $$file in \
651             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
652             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
653           esac; \
654           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
655           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
656           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
657             dir="/$$dir"; \
658             $(mkdir_p) "$(distdir)$$dir"; \
659           else \
660             dir=''; \
661           fi; \
662           if test -d $$d/$$file; then \
663             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
664               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
665             fi; \
666             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
667           else \
668             test -f $(distdir)/$$file \
669             || cp -p $$d/$$file $(distdir)/$$file \
670             || exit 1; \
671           fi; \
672         done
673         $(MAKE) $(AM_MAKEFLAGS) \
674           top_distdir="$(top_distdir)" distdir="$(distdir)" \
675           dist-info
676         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
677           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
678           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
679           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
680         || chmod -R a+r $(distdir)
681 dist-gzip: distdir
682         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
683         $(am__remove_distdir)
684
685 dist-bzip2: distdir
686         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
687         $(am__remove_distdir)
688
689 dist-tarZ: distdir
690         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
691         $(am__remove_distdir)
692
693 dist-shar: distdir
694         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
695         $(am__remove_distdir)
696
697 dist-zip: distdir
698         -rm -f $(distdir).zip
699         zip -rq $(distdir).zip $(distdir)
700         $(am__remove_distdir)
701
702 dist dist-all: distdir
703         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
704         $(am__remove_distdir)
705
706 # This target untars the dist file and tries a VPATH configuration.  Then
707 # it guarantees that the distribution is self-contained by making another
708 # tarfile.
709 distcheck: dist
710         case '$(DIST_ARCHIVES)' in \
711         *.tar.gz*) \
712           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
713         *.tar.bz2*) \
714           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
715         *.tar.Z*) \
716           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
717         *.shar.gz*) \
718           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
719         *.zip*) \
720           unzip $(distdir).zip ;;\
721         esac
722         chmod -R a-w $(distdir); chmod a+w $(distdir)
723         mkdir $(distdir)/_build
724         mkdir $(distdir)/_inst
725         chmod a-w $(distdir)
726         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
727           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
728           && cd $(distdir)/_build \
729           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
730             $(DISTCHECK_CONFIGURE_FLAGS) \
731           && $(MAKE) $(AM_MAKEFLAGS) \
732           && $(MAKE) $(AM_MAKEFLAGS) dvi \
733           && $(MAKE) $(AM_MAKEFLAGS) check \
734           && $(MAKE) $(AM_MAKEFLAGS) install \
735           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
736           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
737           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
738                 distuninstallcheck \
739           && chmod -R a-w "$$dc_install_base" \
740           && ({ \
741                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
742                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
743                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
744                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
745                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
746               } || { rm -rf "$$dc_destdir"; exit 1; }) \
747           && rm -rf "$$dc_destdir" \
748           && $(MAKE) $(AM_MAKEFLAGS) dist \
749           && rm -rf $(DIST_ARCHIVES) \
750           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
751         $(am__remove_distdir)
752         @(echo "$(distdir) archives ready for distribution: "; \
753           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
754           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
755 distuninstallcheck:
756         @cd $(distuninstallcheck_dir) \
757         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
758            || { echo "ERROR: files left after uninstall:" ; \
759                 if test -n "$(DESTDIR)"; then \
760                   echo "  (check DESTDIR support)"; \
761                 fi ; \
762                 $(distuninstallcheck_listfiles) ; \
763                 exit 1; } >&2
764 distcleancheck: distclean
765         @if test '$(srcdir)' = . ; then \
766           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
767           exit 1 ; \
768         fi
769         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
770           || { echo "ERROR: files left in build directory after distclean:" ; \
771                $(distcleancheck_listfiles) ; \
772                exit 1; } >&2
773 check-am: all-am
774 check: check-am
775 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(MANS) config.h all-local
776 installdirs:
777         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
778           test -z "$$dir" || $(mkdir_p) "$$dir"; \
779         done
780 install: install-am
781 install-exec: install-exec-am
782 install-data: install-data-am
783 uninstall: uninstall-am
784
785 install-am: all-am
786         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
787
788 installcheck: installcheck-am
789 install-strip:
790         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
791           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
792           `test -z '$(STRIP)' || \
793             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
794 mostlyclean-generic:
795
796 clean-generic:
797         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
798
799 distclean-generic:
800         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
801
802 maintainer-clean-generic:
803         @echo "This command is intended for maintainers to use"
804         @echo "it deletes files that may require special tools to rebuild."
805         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
806 clean: clean-am
807
808 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
809
810 distclean: distclean-am
811         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
812         -rm -rf ./$(DEPDIR)
813         -rm -f Makefile
814 distclean-am: clean-am distclean-compile distclean-generic \
815         distclean-hdr distclean-tags
816
817 dvi: dvi-am
818
819 dvi-am: $(DVIS)
820
821 html: html-am
822
823 html-am: $(HTMLS)
824
825 info: info-am
826
827 info-am: $(INFO_DEPS)
828
829 install-data-am: install-info-am install-man
830
831 install-exec-am: install-binPROGRAMS
832
833 install-info: install-info-am
834
835 install-info-am: $(INFO_DEPS)
836         @$(NORMAL_INSTALL)
837         test -z "$(infodir)" || $(mkdir_p) "$(DESTDIR)$(infodir)"
838         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
839         list='$(INFO_DEPS)'; \
840         for file in $$list; do \
841           case $$file in \
842             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
843           esac; \
844           if test -f $$file; then d=.; else d=$(srcdir); fi; \
845           file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
846           for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
847                        $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
848             if test -f $$ifile; then \
849               relfile=`echo "$$ifile" | sed 's|^.*/||'`; \
850               echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \
851               $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \
852             else : ; fi; \
853           done; \
854         done
855         @$(POST_INSTALL)
856         @if (install-info --version && \
857              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
858           list='$(INFO_DEPS)'; \
859           for file in $$list; do \
860             relfile=`echo "$$file" | sed 's|^.*/||'`; \
861             echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
862             install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
863           done; \
864         else : ; fi
865 install-man: install-man1
866
867 installcheck-am:
868
869 maintainer-clean: maintainer-clean-am
870         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
871         -rm -rf $(top_srcdir)/autom4te.cache
872         -rm -rf ./$(DEPDIR)
873         -rm -f Makefile
874 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
875         maintainer-clean-generic
876
877 mostlyclean: mostlyclean-am
878
879 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
880         mostlyclean-generic
881
882 pdf: pdf-am
883
884 pdf-am: $(PDFS)
885
886 ps: ps-am
887
888 ps-am: $(PSS)
889
890 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
891
892 uninstall-man: uninstall-man1
893
894 .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
895         clean clean-binPROGRAMS clean-generic ctags dist dist-all \
896         dist-bzip2 dist-gzip dist-info dist-shar dist-tarZ dist-zip \
897         distcheck distclean distclean-compile distclean-generic \
898         distclean-hdr distclean-tags distcleancheck distdir \
899         distuninstallcheck dvi dvi-am html html-am info info-am \
900         install install-am install-binPROGRAMS install-data \
901         install-data-am install-exec install-exec-am install-info \
902         install-info-am install-man install-man1 install-strip \
903         installcheck installcheck-am installdirs maintainer-clean \
904         maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
905         mostlyclean-aminfo mostlyclean-compile mostlyclean-generic pdf \
906         pdf-am ps ps-am tags uninstall uninstall-am \
907         uninstall-binPROGRAMS uninstall-info-am uninstall-man \
908         uninstall-man1
909
910
911 .pod.1:
912         -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
913                 mv -f $(@).T$$$$ $@) || \
914                 (rm -f $(@).T$$$$ && exit 1)
915
916 .INTERMEDIATE: fastjar.pod grepjar.pod
917
918 fastjar.pod: $(srcdir)/fastjar.texi
919         -$(TEXI2POD) -D fastjar $< > $@
920
921 grepjar.pod: $(srcdir)/fastjar.texi
922         -$(TEXI2POD) -D grepjar $< > $@
923
924 all-local: $(STAMP_GENINSRC) 
925
926 stamp-geninsrc: fastjar.1 grepjar.1 fastjar.info
927         -cp -p $(top_builddir)/fastjar.1 $(srcdir)/fastjar.1
928         -cp -p $(top_builddir)/grepjar.1 $(srcdir)/grepjar.1
929         -cp -p $(top_builddir)/fastjar.info $(srcdir)/fastjar.info
930         touch $@
931 # Tell versions [3.59,3.63) of GNU make to not export all variables.
932 # Otherwise a system limit (for SysV at least) may be exceeded.
933 .NOEXPORT: